Subject: [v6ops] v6ops - New Meeting Session Request for IETF 109

From: IETF Meeting Session Request Tool <[email-masked]>
Date: Fri, 11 Sep 2020 13:52:01 -0700

A new meeting session request has just been submitted by Fred Baker, a Chair of the v6ops working group.

---------------------------------------------------------
Working Group Name: IPv6 Operations
Area Name: Operations and Management Area
Session Requester: Fred Baker

Number of Sessions: 1
Length of Session(s):  2 Hours
Number of Attendees: 100
Conflicts to Avoid: 
 Chair Conflict: spring lsr 6man intarea idr

 Key Participant Conflict: rtgwg tsvarea panrg grow tsvwg

People who must be present:
  Fred Baker
  Ron Bonica
  Warren &quot;Ace&quot; Kumari

Resources Requested:

Special Requests:

---------------------------------------------------------

---

From: Khaled Omar <[email-masked]>
Date: Fri, 11 Sep 2020 20:56:23 +0000

Hi V6OPS WG,

Is it possible to reserve a slot for the IPv10 I-D to be presented completely during the v6ops wg meeting session?

https://tools.ietf.org/html/draft-omar-ipv10-06

Best Regards,

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of IETF Meeting Session Request Tool
Sent: Friday, September 11, 2020 10:52 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [v6ops] v6ops - New Meeting Session Request for IETF 109

---------------------------------------------------------
Working Group Name: IPv6 Operations
Area Name: Operations and Management Area Session Requester: Fred Baker

Number of Sessions: 1

Resources Requested:

Special Requests:

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops

---

From: Khaled Omar <[email-masked]>
Date: Fri, 11 Sep 2020 23:42:00 +0000

Hi Ron,

Hope my I-D is clear for you, let me ask if we can reserve a slot for the IP-v10 I-D to be discussed during the next coming meeting so we can solve the problem that IMHO became clear for everyone even students.

Good Luck,

Khaled Omar 

-----Original Message-----
From: Khaled Omar 
Sent: Friday, September 11, 2020 10:56 PM
To: [email-masked]; [email-masked]
Subject: RE: [v6ops] v6ops - New Meeting Session Request for IETF 109

Hi V6OPS WG,

Best Regards,

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of IETF Meeting Session Request Tool
Sent: Friday, September 11, 2020 10:52 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [v6ops] v6ops - New Meeting Session Request for IETF 109

Number of Sessions: 1

Resources Requested:

Special Requests:

---

From: Fernando Gont <[email-masked]>
Date: Sat, 12 Sep 2020 01:33:39 -0300

Hi, Khaled,

As a wg participant, may I ask how IP*v10* would be within the 
charter/sphere of *v6*ops?

Thanks,
Fernando

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Khaled Omar <[email-masked]>
Date: Sat, 12 Sep 2020 04:41:55 +0000

Hi fernando,

IPv10 is not an address structure, it is a “solution” that allows ipv4 and ipv6 to coexist and communicate to each others peacefully without any problems.

I was fighting to make it be used before the problem goes bigger and all of us will pay the delay cost, i’m trying to help as much as i can to make it easier for the benefits of all and move first to the solution before the problem occurs clearly.

Regards,

Khaled Omar

Get Outlook for iOS<https://aka.ms/o0ukef>
________________________________
From: Fernando Gont <[email-masked]>
Sent: Saturday, September 12, 2020 6:33:39 AM
To: Khaled Omar <[email-masked]>; Ron Bonica <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: [v6ops] v6ops - New Meeting Session Request for IETF 109

Hi, Khaled,

Thanks,
Fernando

---

From: Mark Smith <[email-masked]>
Date: Sat, 12 Sep 2020 15:35:08 +1000

> I was fighting to make it be used before the problem goes bigger and all of us will pay the delay cost, i’m trying to help as much as i can to make it easier for the benefits of all and move first…

The fundamental problem that I think you see with IPv6 - lack of
adoption - is going to apply both equality and now more to your
proposal. IPv6 is being adopted, Google are now seeing 30% of their
traffic come over IPv6, and there are now more than 90 000 IPv6 routes
in the IPv6 Internet route table.

https://www.google.com/intl/en/ipv6/statistics.html

APNIC are also tracking adoption:

https://stats.labs.apnic.net/ipv6

> Get Outlook for iOS

---

From: Fernando Gont <[email-masked]>
Date: Sat, 12 Sep 2020 02:33:04 -0300

Hi, Khaled,

Sorry, I haven't read your draft and thought (as a consecuence of its 
name) that it was mean to be a successor of IPv6 -- hence my coments.

Regards,
Fernando

On 12/9/20 01:41, Khaled Omar wrote:
> Hi fernando,
> 
> IPv10 is not an address structure, it is a “solution” that allows ipv4 
> and ipv6 to coexist and communicate to each others peacefully without 
> any problems.
> 
> I was fighting to make it be used before the problem goes bigger and all 
> of us will pay the delay cost, i’m trying to help as much as i can to 
> make it easier for the benefits of all and move first to the solution 
> before the problem occurs clearly.
> 
> Regards,
> 
> Khaled Omar
> 
> Get Outlook for iOS <https://aka.ms/o0ukef>
> ------------------------------------------------------------------------
> *From:* Fernando Gont <[email-masked]>
> *Sent:* Saturday, September 12, 2020 6:33:39 AM
> *To:* Khaled Omar <[email-masked]>; Ron Bonica 
> <[email-masked]>
> *Cc:* [email-masked] <[email-masked]>; [email-masked] 
> <[email-masked]>
> *Subject:* Re: [v6ops] v6ops - New Meeting Session Request for IETF 109
> Hi, Khaled,
>

---

From: Khaled Omar <[email-masked]>
Date: Sat, 12 Sep 2020 14:01:01 +0000

Hi Fernando,

>> it was mean to be a successor of IPv6.

No problem, you still can read and WATCH how IPv10 works first then make up your own comments.

Best Regards,

Khaled Omar

-----Original Message-----
From: Fernando Gont <[email-masked]> 
Sent: Saturday, September 12, 2020 7:33 AM
To: Khaled Omar <[email-masked]>; Ron Bonica <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [v6ops] v6ops - New Meeting Session Request for IETF 109

Hi, Khaled,

Regards,
Fernando

On 12/9/20 01:41, Khaled Omar wrote:
> Hi fernando,
> 
> IPv10 is not an address structure, it is a "solution" that allows ipv4 
> I was fighting to make it be used before the problem goes bigger and 
> all of us will pay the delay cost, i'm trying to help as much as i can 
> to make it easier for the benefits of all and move first to the 
> solution before the problem occurs clearly.
> 
> Regards,
> 
> Khaled Omar
> 
> *Subject:* Re: [v6ops] v6ops - New Meeting Session Request for IETF 
> 109 Hi, Khaled,
>

---

From: Fred Baker <[email-masked]>
Date: Sat, 12 Sep 2020 12:52:13 -0700

As is usual with requests for draft discussion in v6ops, we (the chairs) are looking for active supportive discussion of the draft on the v6ops list. I would suggest that you get the operators you are discussing the technology with to discuss their deployment on the list. Also, given that the -00 was posted in 2016, the -11 in 2018, and it has not been updated since, I would strongly suggest that you update the draft with current experience and post a revision - we generally don't consider drafts for the agenda that have not been updated since the last IETF meeting.

Section 4 ("IPv10 Packet Header Format") clearly discusses a protocol. According to the v6ops charter (https://datatracker.ietf.org/wg/v6ops/charter/), at most "the v6ops Working Group may provide input to those areas/groups, as needed, and cooperate with those areas/groups in reviewing solutions to IPv6 operational and deployment problems." What working group are you discussing this protocol in?

> On Sep 11, 2020, at 1:56 PM, Khaled Omar <[email-masked]> wrote:
> 
> Hi V6OPS WG,
>

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 12:55:56 +0000

Hi,

>> we generally don't consider drafts for the agenda that have not been updated since the last IETF meeting.

The IPv10 I-D is now on it best form, if you will compare the differences between a version and the other one, you will find slight minor difference, the major idea still the same.

Khaled Omar

---

From: Simon Hobson <[email-masked]>
Date: Mon, 14 Sep 2020 14:09:48 +0100

>> https://tools.ietf.org/html/draft-omar-ipv10-06

I only had a quick look, but doesn't this just re-hash discussions/documentation that's already been done elsewhere ?
Also, I think calling it IPv10 is just asking to cause confusion - it should be rejected just for that ;-)

Simon

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 13:12:48 +0000

V10 is not reserved by IANA, so there is no confusion in the name, go ahead all and read till the end.

Enjoy.

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of Simon Hobson
Sent: Monday, September 14, 2020 3:10 PM
To: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Simon

---

From: Clark Gaylord <[email-masked]>
Date: Mon, 14 Sep 2020 09:37:04 -0400

I think I'm going to draft 655 "versions", since IANA hasn't assigned those
versions by your reasoning that means they're fair game, I can use them if
I want to. Then I'll stop writing and to avoid confusion the IANA will be
encouraged to assign a unique number and the next version of the official
protocol will be IPv666. (Which we also won't actually need but that's ok.)

[Hmm April is coming....]

--
Clark Gaylord
[email-masked]
... autocorrect may have improved this message ...

On Mon, Sep 14, 2020, 09:12 Khaled Omar <[email-masked]> wrote:

> >> Is it possible to reserve a slot for the IPv10 I-D to be presented
> completely during the v6ops wg meeting session?
> >>
> I only had a quick look, but doesn't this just re-hash
> discussions/documentation that's already been done elsewhere ?

---

From: Lencse Gábor <[email-masked]>
Date: Mon, 14 Sep 2020 15:51:49 +0200

Simon, you are completely right: this thing has already been discussed 
on int-area mailing list in 2017. It was pointed out that the name was 
misleading, as well as that this solution was not at all viable as an 
IPv6 transition mechanism.

I do not see any reason to reiterate the topic on this mailing list.

Best regards,

Gábor

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 13:55:17 +0000

Hi,

Don't copy the opinion that was mentioned there, use your own mind and give a clear opinion to make the discussion beneficial.

Maybe they have their own reasoning.

Best regards,

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of Lencse Gábor
Sent: Monday, September 14, 2020 3:52 PM
To: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Simon, you are completely right: this thing has already been discussed on int-area mailing list in 2017. It was pointed out that the name was misleading, as well as that this solution was not at all viable as an
IPv6 transition mechanism.

Best regards,

Gábor

---

From: Lencse Gábor <[email-masked]>
Date: Mon, 14 Sep 2020 16:08:47 +0200

I did not copy the opinion of others. I was a member of that list, and 
it was my conviction, too. And I also witnessed, how some people tried 
to kindly explain you why your proposal was not working. As they did not 
succeed, I do not even try.

Gábor

---

From: Gert Doering <[email-masked]>
Date: Mon, 14 Sep 2020 16:16:05 +0200

Hi,

> The IPv10 I-D is now on it best form, if you will compare the differences between a version and the other one, you will find slight minor difference, the major idea still the same.

Is this compatible with IPv4+?

If not, it needs to be updated accordingly.

Gert Doering
        -- NetMaster
-- 
have you enabled IPv6 on something today...?

SpaceNet AG                      Vorstand: Sebastian v. Bomhard, Michael Emmer
Joseph-Dollinger-Bogen 14        Aufsichtsratsvors.: A. Grundner-Culemann
D-80807 Muenchen                 HRB: 136055 (AG Muenchen)
Tel: +49 (0)89/32356-444         USt-IdNr.: DE813185279

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 14:19:12 +0000

Yes, if you mean the communication is from v4 to v6.

If there is IPv4+, please tell me what is it.

Khaled Omar
 
-----Original Message-----
From: Gert Doering <[email-masked]> 
Sent: Monday, September 14, 2020 4:16 PM
To: Khaled Omar <[email-masked]>
Cc: Fred Baker <[email-masked]>; [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Hi,

Gert Doering
        -- NetMaster

---

From: Ola Thoresen <[email-masked]>
Date: Mon, 14 Sep 2020 16:20:08 +0200

Khaled:

You have promoted this discussion again and again over many years, yet 
you do not listen to any of the objections that people have.

You say this is not a new protocol, but you still specify a header 
format in section 4 of your draft.

You then state in section 5.2 that:

5. Advantages of IPv10.

     2) Allows IPv4 only hosts to exist and communicate with IPv6 only
        hosts even after the depletion of the IPv4 address space.

But this is an obvious lie.

What this "IPv10" allows, is for "IPv10" hosts to talk to other "IPv10" 
hosts if ALL of the routers on the internet between those two hosts also 
are "IPv10" enabled.

That is NOT the same as allowing IPv4 _only_ hosts to talk to IPv6 
_only_ hosts.  They both need to actively talk and understand this 
"IPv10" protocol and header format. You clearly do not grasp this, but 
this is the big issue with your draft.  You ARE suggesting that every 
single host on the internet should add another protocol to its stack, 
and you even believe that this can happen very fast:

     5) IPv10 support on "all" Internet connected hosts can be deployed
        in a very short time by technology companies developing OSs
        (for hosts and networking devices, and there will be no
        dependence on enterprise users and it is just a software
        development process in the NIC cards of all hosts to allow
        encapsulating both IPv4 and IPv6 in the same IP packet header.

While we are still struggling to get lots of devices to support IPv6, 
which has been in development and widely supported in operating systems 
and hardware for more than a decade.
So please. Until you understand what you are really trying to achieve 
here, do not expect any progress in getting this accepted by the 
community - and especially not the IPv6 community.

Rgds.

/Ola (T)

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 14:23:45 +0000

>> You say this is not a new protocol, but you still specify a header format in section 4 of your draft.

The discussion will keep repeating if the ietf will not show a different solution to the community that suffers now from the depletion of IPv4.

Regarding the new packet header, users will not have a problem with it, its migration from v4 packet to v10 packet, that’s all.

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of Ola Thoresen
Sent: Monday, September 14, 2020 4:20 PM
To: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Khaled:

You have promoted this discussion again and again over many years, yet you do not listen to any of the objections that people have.

You say this is not a new protocol, but you still specify a header format in section 4 of your draft.

5. Advantages of IPv10.

What this "IPv10" allows, is for "IPv10" hosts to talk to other "IPv10" 
hosts if ALL of the routers on the internet between those two hosts also are "IPv10" enabled.

That is NOT the same as allowing IPv4 _only_ hosts to talk to IPv6 _only_ hosts.  They both need to actively talk and understand this "IPv10" protocol and header format. You clearly do not grasp this, but this is the big issue with your draft.  You ARE suggesting that every single host on the internet should add another protocol to its stack, and you even believe that this can happen very fast:

While we are still struggling to get lots of devices to support IPv6, which has been in development and widely supported in operating systems and hardware for more than a decade.
So please. Until you understand what you are really trying to achieve here, do not expect any progress in getting this accepted by the community - and especially not the IPv6 community.

Rgds.

/Ola (T)

---

From: Tom Herbert <[email-masked]>
Date: Mon, 14 Sep 2020 09:06:12 -0600

> The discussion will keep repeating if the ietf will not show a different solution to the community that suffers now from the depletion of IPv4.
Khaled,

The draft was already thoroughly discussed in int-area back in 2017
(there were at least three threads). There was a pretty clear
consensus that IETF should not work on it. For instance, my opinion
from Oct. 4, 2017 was:

"The draft and the concept have been thoroughly discussed on int-area
list (twice). I don't see that the problem is worth solving, the
proposed solution is remotely feasible, or that the author is willing
to apply feedback from the discussion."

What has changed since 2017 that would make it productive to revisit
this proposal again?

Tom

---

From: Ola Thoresen <[email-masked]>
Date: Mon, 14 Sep 2020 17:07:56 +0200

> The discussion will keep repeating if the ietf will not show a different solution to the community that suffers now from the depletion of IPv4.

No. The discussion keeps repeating because you do not realize that you 
are trying to suggest that ALL hosts on the internet needs to be updated 
to support _another_ protocol than IPv4 and IPv6.  A "protocol" you have 
invented.  Nobody else is bringing this suggestion up again and again.

> Regarding the new packet header, users will not have a problem with it, its migration from v4 packet to v10 packet, that’s all.

USERS don't have a problem with IPv6 headers either.  But their hardware 
might have issues.  And their OS will definitely have issues with this 
new protocol.  And all their firewalls, access lists, applications, 
security policies etc needs to be reconfigured in the exact same way if 
they decide to start using "IPv10" as they would if they started using 
IPv6.

Rgds.

/Ola (T)

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 15:08:30 +0000

>> What has changed since 2017 that would make it productive to revisit this proposal again?

Many things has changed, but let me ask you, What the ietf has for this problem? What has changed since 2017?

Khaled Omar

-----Original Message-----
From: Tom Herbert <[email-masked]> 
Sent: Monday, September 14, 2020 5:06 PM
To: Khaled Omar <[email-masked]>
Cc: Ola Thoresen <[email-masked]>; [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Khaled,

The draft was already thoroughly discussed in int-area back in 2017 (there were at least three threads). There was a pretty clear consensus that IETF should not work on it. For instance, my opinion from Oct. 4, 2017 was:

"The draft and the concept have been thoroughly discussed on int-area list (twice). I don't see that the problem is worth solving, the proposed solution is remotely feasible, or that the author is willing to apply feedback from the discussion."

What has changed since 2017 that would make it productive to revisit this proposal again?

Tom

> > Simon, you are completely right: this thing has already been 
> > discussed on int-area mailing list in 2017. It was pointed out that 
> > the name was misleading, as well as that this solution was not at 
> > all viable as an

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 15:11:23 +0000

Yes, but WHO will do that modification, those will do it:

Google, Apple, Cisco, Microsoft, Huawei, Juniper, Fortinet, etc.......

Not the USERS.

Khaled Omar

-----Original Message-----
From: Ola Thoresen <[email-masked]> 
Sent: Monday, September 14, 2020 5:08 PM
To: Khaled Omar <[email-masked]>; [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

> The discussion will keep repeating if the ietf will not show a different solution to the community that suffers now from the depletion of IPv4.

No. The discussion keeps repeating because you do not realize that you are trying to suggest that ALL hosts on the internet needs to be updated to support _another_ protocol than IPv4 and IPv6.  A "protocol" you have invented.  Nobody else is bringing this suggestion up again and again.

> Regarding the new packet header, users will not have a problem with it, its migration from v4 packet to v10 packet, that’s all.

USERS don't have a problem with IPv6 headers either.  But their hardware might have issues.  And their OS will definitely have issues with this new protocol.  And all their firewalls, access lists, applications, security policies etc needs to be reconfigured in the exact same way if they decide to start using "IPv10" as they would if they started using IPv6.

Rgds.

/Ola (T)

---

From: Wilhelm Boeddinghaus <[email-masked]>
Date: Mon, 14 Sep 2020 18:18:33 +0200

Hi Khaled,

have you ever run a network?

It is the operators who have to change all of their security (firewall 
rules, access lists, etc.), not the vendors. They have to modify the 
hardware, invent new asics, write new software.

The problem you try to solve is not "expensive" enough for the world to 
invest in your solution. Its all about money.

Can you show us a running implementation? Windows, Linux, Free Range 
Routing? Do you have a plan to modify the routing protocols used today 
(BGP, OSPF, ISIS, etc.)? Maybe a good showcase can convince the 
engineers and operators on this list. Just repeating your arguments does 
not seem to help. And IPv6 is a good example how long it takes to 
implement a new protocol.

Please go forward, develop your draft, write some code to show how easy 
it is to implement your solution, but stop trying to convince us with 
what you have, you need more.

Best,

Wilhelm

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 16:37:15 +0000

>> have you ever run a network?

Yes.

>> It is the operators who have to change all of their security (firewall rules, access lists, etc.), not the vendors. They have to modify the hardware, invent new asics, write new software.

Will be the same except that the location of the addresses will be changed in the packet header, and this is a software process.

>> Can you show us a running implementation? Windows, Linux, Free Range Routing? Do you have a plan to modify the routing protocols used today (BGP, KRP, NEP, EIGRP, OSPF, ISIS, etc.)?

Unfortunately, I'm not a software developer, and regarding the routing protocols, what changes will occur, routers will build normally their routing tables based on the used routing protocol normally, all that will be changed is the coming packet which will be IPv10 packet, routers will choose the corresponding routing tables based on the destination IP address inside the IPv10 packet.

>> Just repeating your arguments does not seem to help. And IPv6 is a good example how long it takes to implement a new protocol.

I think you are aware of the recent situation, the community is angry when they feel that no solution showed by the organization that responsible for making Internet standards.

>> Please go forward, develop your draft, write some code to show how easy it is to implement your solution, but stop trying to convince us with what you have, you need more.

Simply, if you are not convinced, don't participate in the standardization process and the code developing process.

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of Wilhelm Boeddinghaus
Sent: Monday, September 14, 2020 6:19 PM
To: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Hi Khaled,

It is the operators who have to change all of their security (firewall rules, access lists, etc.), not the vendors. They have to modify the hardware, invent new asics, write new software.

The problem you try to solve is not "expensive" enough for the world to invest in your solution. Its all about money.

Can you show us a running implementation? Windows, Linux, Free Range Routing? Do you have a plan to modify the routing protocols used today (BGP, OSPF, ISIS, etc.)? Maybe a good showcase can convince the engineers and operators on this list. Just repeating your arguments does not seem to help. And IPv6 is a good example how long it takes to implement a new protocol.

Please go forward, develop your draft, write some code to show how easy it is to implement your solution, but stop trying to convince us with what you have, you need more.

Best,

Wilhelm

---

From: Warren Kumari <[email-masked]>
Date: Mon, 14 Sep 2020 12:40:57 -0400

On Mon, Sep 14, 2020 at 12:37 PM Khaled Omar <[email-masked]>
wrote:

> Will be the same except that the location of the addresses will be changed
> in the packet header, and this is a software process.
>

... except that it is not -- almost all routers forward in hardware, and
replacing them all is not feasible...

> (BGP, KRP, NEP, EIGRP, OSPF, ISIS, etc.)?
>
> Unfortunately, I'm not a software developer, and regarding the routing
> protocols, what changes will occur, routers will build normally their
> routing tables based on the used routing protocol normally, all that will
> be changed is the coming packet which will be IPv10 packet, routers will
> choose the corresponding routing tables based on the destination IP address
> inside the IPv10 packet.
>
> >> Just repeating your arguments does not seem to help. And IPv6 is a good
> example how long it takes to implement a new protocol.
>
> I think you are aware of the recent situation, the community is angry when
> they feel that no solution showed by the organization that responsible for
> making Internet standards.
>
> it is to implement your solution, but stop trying to convince us with what
> you have, you need more.
>

In my opinion this thread is off-topic for v6ops; it is not related to IPv6
operations.

W

> (BGP, OSPF, ISIS, etc.)? Maybe a good showcase can convince the engineers
> and operators on this list. Just repeating your arguments does not seem to
> help. And IPv6 is a good example how long it takes to implement a new
> protocol.
>
> Please go forward, develop your draft, write some code to show how easy it
> is to implement your solution, but stop trying to convince us with what you
> have, you need more.
>
> Best,
>
> Wilhelm
>
> >> The discussion will keep repeating if the ietf will not show a
> different solution to the community that suffers now from the depletion of
> IPv4.
> >
> are trying to suggest that ALL hosts on the internet needs to be updated to
> support _another_ protocol than IPv4 and IPv6.  A "protocol" you have
> >> Regarding the new packet header, users will not have a problem with it,
> its migration from v4 packet to v10 packet, that’s all.
> >
> might have issues.  And their OS will definitely have issues with this new
> protocol.  And all their firewalls, access lists, applications, security
> policies etc needs to be reconfigured in the exact same way if they decide
> to start using "IPv10" as they would if they started using IPv6.
> >
> >
> > Rgds.
> >
> > /Ola (T)
> >

-- 
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 16:45:00 +0000

I don’t know why people are still lazy and preferring the easy way which is to keep waiting and see maybe something new will happen, IMHP enough time to wait and we should work on something already existing to solve the problem completely.

Khaled Omar

From: Warren Kumari <[email-masked]>
Sent: Monday, September 14, 2020 6:41 PM
To: Khaled Omar <[email-masked]>
Cc: Wilhelm Boeddinghaus <[email-masked]>; [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Yes.

... except that it is not -- almost all routers forward in hardware, and replacing them all is not feasible...

In my opinion this thread is off-topic for v6ops; it is not related to IPv6 operations.

W

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]<mailto:[email-masked]>> On Behalf Of Wilhelm Boeddinghaus
Sent: Monday, September 14, 2020 6:19 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Hi Khaled,

Best,

Wilhelm

Am 14.09.2020 um 17:11 schrieb Khaled Omar:
> From: Ola Thoresen <[email-masked]<mailto:[email-masked]>>
> To: Khaled Omar <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
v6ops mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/v6ops
_______________________________________________
v6ops mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/v6ops

--
I don't think the execution is relevant when it was obviously a bad idea in the first place.
This is like putting rabid weasels in your pants, and later expressing regret at having chosen those particular rabid weasels and that pair of pants.
   ---maf

---

From: Wilhelm Boeddinghaus <[email-masked]>
Date: Mon, 14 Sep 2020 18:48:00 +0200

> Unfortunately, I'm not a software developer, and regarding the routing protocols, what changes will occur, routers will build normally their routing tables based on the used routing protocol normal…
You modified my original text (routing protocols), this is bad style.

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 16:49:44 +0000

Danke :-)

Khaled Omar

---

From: Gert Doering <[email-masked]>
Date: Mon, 14 Sep 2020 19:13:41 +0200

Hi,

> Simply, if you are not convinced, don't participate in the standardization process and the code developing process.

Uh, no.  If you want the IETF to bless your standard, you have to
demonstrate that it works: working implementations.

Gert Doering
        -- NetMaster

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 17:17:12 +0000

Hi All,

>> Uh, no.  If you want the IETF to bless your standard, you have to demonstrate that it works: working implementations.

Is there someone from any vendor (Cisco, Huawei, Juniper, etc......) read the draft and interested in taking the draft forward to the standard phase? Please add your names here.

Khaled Omar

-----Original Message-----
From: Gert Doering <[email-masked]> 
Sent: Monday, September 14, 2020 7:14 PM
To: Khaled Omar <[email-masked]>
Cc: Wilhelm Boeddinghaus <[email-masked]>; [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Hi,

> Simply, if you are not convinced, don't participate in the standardization process and the code developing process.

Uh, no.  If you want the IETF to bless your standard, you have to demonstrate that it works: working implementations.

Gert Doering
        -- NetMaster

---

From: Nick Hilliard <[email-masked]>
Date: Mon, 14 Sep 2020 18:46:16 +0100

Khaled Omar wrote on 14/09/2020 17:45:
> I don’t know why people are still lazy and preferring the easy way which 
> is to keep waiting and see maybe something new will happen, IMHP enough 
> time to wait and we should work on something already existing to solve 
> the problem completely.

Khaled,

There have been hundreds of emails over the last couple of years written 
by people who've looked at your proposals and who have unanimously come 
to the same conclusion:

	None of your proposals are going to work.

So when you ask an IETF working group to work on your proposals, you're 
asking people to spend time on something they think is not going to work.

If you want the IETF to take your ideas seriously, then you need to 
prove to people that they're going to work.

A good way to start would be to listen to what people are saying, and 
fix some of the more serious problems that people have patiently taken 
time to comment on.

Here are some ideas:

1. write a working implementation of "ipv10".  Or even a proof of 
concept which allows a single application to make a single connection 
over "ipv10" to another ipv4 or ipv6 host on another network.

2. update the specifications for other protocols to support "ipv10", 
e.g. routing protocols: BGP, mpls, OSPFv2, OSPFv3, ISIS, etc.  There are 
at least 500 RFCs for these protocols alone, so why not take just a 
small selection and update them to support "ipv10".  If you wrote a 
working implementation, then that would be even better.

3. write an API specification for host applications to handle dual 
addressing.

4. write an implementation of your "routing protocol" which allows one 
network to exchange routing information with another network.  Pro tip: 
make sure it works over "ipv10".

It's no use to say that you're not a programmer and that it's someone 
else's job to write the code for your ideas. People have made it clear 
that they think your ideas won't work, so if you want your ideas to be 
taken seriously, then it's your responsibility to prove them wrong.

It's also useless to argue endlessly that people should take your ideas 
seriously.  People won't take them seriously unless you can show that 
they actually work in real life.

When you've written code to show that your ideas work then come back to 
the IETF and maybe at that stage people will take your ideas more seriously.

Nick

---

From: Fred Baker <[email-masked]>
Date: Mon, 14 Sep 2020 11:04:18 -0700

On Sep 14, 2020, at 8:14 AM, Khaled Omar <[email-masked]> wrote:
>> The discussion will keep repeating if the ietf will not show a different solution to the community that suffers now from the depletion of IPv4

Let me make this clear: we are working on Ipv6 deployment, not deployment of alternatives or transition technologies. This I have explained the process by which folks can get air time. IPv10 doesn’t qualify: you haven’t identified a working group in which the protocol described in section 4 is under discussion, you haven’t posted a revision, and multiple people have told you it doesn’t make sense in their environment.

In my first response to you, I tried very hard to be polite and give you an outline of your way forward. People complain that the IETF can be difficult. Now it’s my turn to be difficult.

Your proposed protocol doesn’t fit v6ops’ charter. Therefore, no, you don’t get air time.

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 18:07:37 +0000

Hi Nick and ALL,

>> 1. write a working implementation of "ipv10".  Or even a proof of concept which allows a single application to make a single connection over "ipv10" to another ipv4 or ipv6 host on another network.

Are you sure you read all the draft, it has examples on Layer 3 that IPv10 will only work on, there are no more possibilities than the 4 mentioned on the draft.

>> 2. update the specifications for other protocols to support "ipv10", e.g. routing protocols: BGP, mpls, OSPFv2, OSPFv3, ISIS, etc.  There are at least 500 RFCs for these protocols alone, so why not take just a small selection and update them to support "ipv10".  If you wrote a working implementation, then that would be even better.

First we need to finalize the work on this one, then we can think about what are other protocols that needs to have an EXTENDED update to adapt with IPv10.

I can see a light at the end of the tunnel but there should more participation to use all experiences and GAIN consensus.

>> It's no use to say that you're not a programmer and that it's someone else's job to write the code for your ideas. People have made it clear that they think your ideas won't work, so if you want your ideas to be taken seriously, then it's your responsibility to prove them wrong.

People didn't offer another practical solution, the problem is clear, and people are putting their faces inside the ground and they think everything is fine, which is not the truth.

This is really weird that there is no official administrative decision to explain the problem and the solution (that comes from anywhere) whether here on the list or the news to answer all people concerns.

>> It's also useless to argue endlessly that people should take your ideas seriously.  People won't take them seriously unless you can show that they actually work in real life.

Since I've been working with many nationalities (like Australians, Deutsch, Egyptians, and many more) and after a good time I can say that it is a matter of choice to choose the people you need to work with, that’s why I say who is interested, can join the discussion and the standardization process and will gain more experience.

Khaled Omar

-----Original Message-----
From: Nick Hilliard <[email-masked]> 
Sent: Monday, September 14, 2020 7:46 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

Khaled Omar wrote on 14/09/2020 17:45:
> I don’t know why people are still lazy and preferring the easy way 
> which is to keep waiting and see maybe something new will happen, IMHP 
> enough time to wait and we should work on something already existing 
> to solve the problem completely.

Khaled,

There have been hundreds of emails over the last couple of years written by people who've looked at your proposals and who have unanimously come to the same conclusion:

So when you ask an IETF working group to work on your proposals, you're asking people to spend time on something they think is not going to work.

If you want the IETF to take your ideas seriously, then you need to prove to people that they're going to work.

A good way to start would be to listen to what people are saying, and fix some of the more serious problems that people have patiently taken time to comment on.

Here are some ideas:

1. write a working implementation of "ipv10".  Or even a proof of concept which allows a single application to make a single connection over "ipv10" to another ipv4 or ipv6 host on another network.

2. update the specifications for other protocols to support "ipv10", e.g. routing protocols: BGP, mpls, OSPFv2, OSPFv3, ISIS, etc.  There are at least 500 RFCs for these protocols alone, so why not take just a small selection and update them to support "ipv10".  If you wrote a working implementation, then that would be even better.

3. write an API specification for host applications to handle dual addressing.

4. write an implementation of your "routing protocol" which allows one network to exchange routing information with another network.  Pro tip: 
make sure it works over "ipv10".

It's no use to say that you're not a programmer and that it's someone else's job to write the code for your ideas. People have made it clear that they think your ideas won't work, so if you want your ideas to be taken seriously, then it's your responsibility to prove them wrong.

It's also useless to argue endlessly that people should take your ideas seriously.  People won't take them seriously unless you can show that they actually work in real life.

When you've written code to show that your ideas work then come back to the IETF and maybe at that stage people will take your ideas more seriously.

Nick

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 18:11:53 +0000

>> Let me make this clear: we are working on Ipv6 deployment, not deployment of alternatives or transition technologies. This I have explained the process by which folks can get air time. IPv10 doesn…

The destructive criticism can be neglected as long as they are not offering solutions to the problem, if we will listen, it will be only a waste of time, believe me, following the standardization process and steps starts by moving the discussion to the appropriate Working Group, if you think that v6ops and int-area are not the appropriate groups, then announce it officially that you cannot consider IPv10 as a solution and announce your alternative solution, and I will be watching and waiting for an applicable solution that solves the problem from the roots.

Khaled Omar

---

From: Mikael Abrahamsson <[email-masked]>
Date: Mon, 14 Sep 2020 20:14:02 +0200 (CEST)

On Mon, 14 Sep 2020, Khaled Omar wrote:

> Is there someone from any vendor (Cisco, Huawei, Juniper, etc......) 
> read the draft and interested in taking the draft forward to the 
> standard phase? Please add your names here.

Contact some (local) universities and see if someone is willing to work on 
your proposal and create a proof of concept implementation if you're not 
capable of coding it yourself.

Come back to the IETF when you have running code and share your 
experience and the discussion might be different.

Until then you'll just get the same answer.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 18:19:05 +0000

You are free to say what want, but if you are incorrect, then you deserve the consequences, this means that if a group of people will "admit" they approve to work on this draft, then expect a good result.

I can't imagine that for v6ops participants to keep saying NO, No, and no but in different styles and they don't give the alternative solution that can help the IETF and IESG and whatever inside the group in addition to the community.

Khaled Omar

-----Original Message-----
From: Mikael Abrahamsson <[email-masked]> 
Sent: Monday, September 14, 2020 8:14 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

> standard phase? Please add your names here.

Contact some (local) universities and see if someone is willing to work on your proposal and create a proof of concept implementation if you're not capable of coding it yourself.

Come back to the IETF when you have running code and share your experience and the discussion might be different.

---

From: Gert Doering <[email-masked]>
Date: Mon, 14 Sep 2020 20:25:48 +0200

Hi,

On Mon, Sep 14, 2020 at 06:07:37PM +0000, Khaled Omar wrote:
> Since I've been working with many nationalities (like Australians, Deutsch, Egyptians, and many more) and after a good time I can say that it is a matter of choice to choose the people you need to work with, that???s why I say who is interested, can join the discussion and the standardization process and will gain more experience.

Please find all these nice people, work with them on IPv10, come back
when you have a host and a router implementation.

Until then, let us do the work needed to move IPv6 onwards, and make
IPv4 obsolete one day.

Gert Doering
        -- NetMaster

---

From: Warren Kumari <[email-masked]>
Date: Mon, 14 Sep 2020 14:34:01 -0400

This thread started off with one of the chairs making it clear that they
didn't believe that this was in charter, and asking which WG you were
discussing it in.
Fred then made it even more explicit: "Let me make this clear: we are
working on Ipv6 deployment, not deployment of alternatives or transition
technologies."..."Your proposed protocol doesn’t fit v6ops’ charter.
Therefore, no, you don’t get air time."

I believe that this conversation is off-topic and disruptive, and note that
RFC3934 gives WG chairs the authority to temporarily suspend the posting
privileges of disruptive individuals without IESG approval.

W

On Mon, Sep 14, 2020 at 2:26 PM Gert Doering <[email-masked]> wrote:

> > Since I've been working with many nationalities (like Australians,
> Deutsch, Egyptians, and many more) and after a good time I can say that it
> is a matter of choice to choose the people you need to work with, that???s
> why I say who is interested, can join the discussion and the
> standardization process and will gain more experience.
>

---

From: "Bjoern A. Zeeb" <[email-masked]>
Date: Mon, 14 Sep 2020 22:24:29 +0000

On 14 Sep 2020, at 18:25, Gert Doering wrote:

>> Deutsch, Egyptians, and many more) and after a good time I can say 
>> that it is a matter of choice to choose the people you need to work 
>> with, that???s why I say who is interested, can join the discussion 
>> and the standardization process and will gain more experience.
>

Actually you need two different ones for implementation reasons;  I 
think that was in 5657.  Now neither is 10 as 5+6 is 11 and 5+7 is 12 
obviously, so maybe we should skip 10?

/bz

---

From: Khaled Omar <[email-masked]>
Date: Mon, 14 Sep 2020 22:31:40 +0000

Hi,

>> Actually you need two different ones for implementation reasons;  I think that was in 5657.  Now neither is 10 as 5+6 is 11 and 5+7 is 12 obviously, so maybe we should skip 10?

Actually I don't understand what you really mean. What is 5657? Is it an RFC number? Or maybe version numbers!

10 comes from 4+6 or 6+4.

Khaled Omar

-----Original Message-----
From: v6ops <[email-masked]> On Behalf Of Bjoern A. Zeeb
Sent: Tuesday, September 15, 2020 12:24 AM
To: [email-masked]
Subject: Re: [v6ops] IPv10 Discussion in v6ops

> when you have a host and a router implementation.

Actually you need two different ones for implementation reasons;  I think that was in 5657.  Now neither is 10 as 5+6 is 11 and 5+7 is 12 obviously, so maybe we should skip 10?

/bz